Options +SymLinksIfOwnerMatch 
RewriteEngine on

RewriteCond %{THE_REQUEST} ^[A-Z]{3,9}\ /([^/]+/)*index\.html\ HTTP/

RewriteCond %{HTTP_HOST} ^http://www.wauhaha.com$ [OR] 
RewriteCond %{HTTP_HOST} ^http://wauhaha.com$ [nc] 
RewriteCond %{REQUEST_URI} !^/admin
RewriteCond %{REQUEST_URI} !^/admin/
RewriteRule ^(([^/]+/)*)index\.html$ http://www.wauhaha.com/$1 [R=301,L]

RewriteRule ^([^/\.]+)/?/socializer$ /myprofile_socializer.php?VUserId=$1 [L] #result:http://www.wauhaha.com/5/socializer

Redirect /r.php http://www.wauhaha.com/register1.php
Redirect /register.php http://www.wauhaha.com/register1.php
Redirect /reg.php http://www.wauhaha.com/register1.php
Redirect /r.html http://www.wauhaha.com/register1.php
Redirect /register.html http://www.wauhaha.com/register1.php
Redirect /reg.html http://www.wauhaha.com/register1.php
Redirect /r.htm http://www.wauhaha.com/register1.php
Redirect /register.htm http://www.wauhaha.com/register1.php
Redirect /reg.htm http://www.wauhaha.com/register1.php